﻿using Xamarin.Forms;
using System;
using Syncfusion.SfCalendar.XForms;
namespace CalendarCustom
{
    public partial class CalendarCustomPage : ContentPage
    {
        int i = 0;
        DateTime month = new DateTime();
        Label lbl;
		public CalendarCustomPage()
        {
            InitializeComponent();
            SfCalendar cal = new SfCalendar();
            cal.OnMonthCellLoaded+=HandleMonthCellEventHandler;
            Content = cal;
        }

        void HandleMonthCellEventHandler(object sender, MonthCell args)
        {

            if (Device.RuntimePlatform == "Android")
            {
                i++;
                string str = args.Date.ToString("dd");
                if (i == 1)
                {
                    month = args.Date.AddDays(21);
                }
             
                if (month.Month == args.Date.Month)
                {
                    lbl = new Label() { Text = str, FontSize = 15, HorizontalTextAlignment = TextAlignment.Center, VerticalTextAlignment = TextAlignment.Center, TextColor = Color.Black };
                }

                else
                {
                    lbl = new Label() { Text = str, FontSize = 15, HorizontalTextAlignment = TextAlignment.Center, VerticalTextAlignment = TextAlignment.Center, TextColor = Color.LightGray };
                }
                args.View = lbl;
                if (i == 42)
                    i = 0;
            }
        }
    }
}
